<?php

namespace App\Http\Controllers\Admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Modals\Province;
use App\Modals\District;
use App\Modals\Tehsil;
use App\Modals\Area;
use App\Modals\Voter;
use Session;
use App\User;
use Carbon\Carbon;
use Hash;
use Auth;


class AdminController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
         $this->middleware('auth');
         $this->middleware('adminuser');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function dashboard()
    {
        return view('admin.dashboard');
    }

    public function districts()
    {
      $districts = District::all();

        return view('admin.district', ['districts'=>$districts]);
    }

    public function tehsils()
    {
      $tehsils = Tehsil::all();
      $districts = District::all();
      return view('admin.tehsils', ['districts'=>$districts,'tehsils'=>$tehsils]);
    }

    public function areas()
    {
      $tehsils = Tehsil::all();
      $areas = Area::all();
      $districts = District::all();
      return view('admin.areas', ['districts'=>$districts,'tehsils'=>$tehsils,'areas'=>$areas]);
    }


    public function voters()
    {
      $tehsils = Tehsil::all();
      $areas = Area::all();
      $voters = Voter::all();
      $districts = District::all();
      return view('admin.voters', ['districts'=>$districts,'tehsils'=>$tehsils,'areas'=>$areas,'voters'=>$voters]);
    }


    public function adddistricts(Request $request)
    {
        $district = new District();
        $district->name = $request->name;
        $district->province_id = 3;
        $district->save();

        Session::flash('success', 'Successfully, Added !');
        return redirect()->back();
    }

    public function addtehsils(Request $request)
    {
        $tehsil = new Tehsil();
        $tehsil->name = $request->name;
        $tehsil->name_urdu = $request->name_urdu;
        $tehsil->district_id = $request->district_id;
        $tehsil->save();

        Session::flash('success', 'Successfully, Added !');
        return redirect()->back();
    }


    public function addareas(Request $request)
    {
        $area = new Area();
        $area->name = $request->name;
        $area->name_urdu = $request->name_urdu;
        $area->city = $request->city;
        $area->city_urdu = $request->city_urdu;
        $area->district_id = $request->district_id;
        $area->circular = $request->circular;
        $area->district_id = $request->district_id;
        $area->tehsil_id = $request->tehsil_id;
        $area->block_code = $request->block_code;
        $area->save();

        Session::flash('success', 'Successfully, Added !');
        return redirect()->back();
    }


    public function addvoters(Request $request)
    {
        $voter = new Voter();
        $voter->name = $request->name;
        $voter->name_urdu = $request->name_urdu;
        $voter->father_name = $request->father_name;
        $voter->father_name_urdu = $request->father_name_urdu;
        $voter->home_no = $request->home_no;
        $voter->cnic = $request->cnic;
        $voter->age = $request->age;
        $voter->address = $request->address;
        $voter->address_urdu = $request->address_urdu;
        $voter->polling_station_name = $request->polling_station_name;
        $voter->polling_booth_name = $request->polling_booth_name;
        $voter->area_id = $request->area_id;
        $voter->council = $request->council;
        $voter->save();

        Session::flash('success', 'Successfully, Added !');
        return redirect()->back();
    }


    public function showvoter($cnic)
    {
        $voter = Voter::where('cnic',$cnic)->first();
        return view('admin.showvoter', ['voter'=>$voter]);
    }

    public function searchvoter(Request $request)
    {
        $voter = Voter::where('cnic',$request->cnic)->first();

        if(!isset($voter->id))
        {
          Session::flash('error', 'no data found');
          return redirect()->back();
        }
        return view('admin.showvoter', ['voter'=>$voter]);
    }

    public function search()
    {

        return view('admin.search');
    }

    public function editdistricts(Request $request)
    {
        $district = District::where('id',$request->district_id)->first();
        $district->name = $request->name;
        $district->save();

        Session::flash('success', 'Successfully, Edited !');
        return redirect()->back();
    }



    public function deletetehsil($id)
    {
      $tehsil =  Tehsil::where('id' , $id)->first();
      $tehsil->delete();
      Session::flash('success', 'Successfully, deleted !');
      return redirect()->back();
    }

}
