<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
        <title>Election</title>
        <meta content="Election" name="Election" />
        <meta content="Election" name=" Election" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />

        <!-- App Icons -->
        <link rel="shortcut icon" href="{{ asset('log.png') }}">

        <!--Morris Chart CSS -->
        <link rel="stylesheet" href="{{ asset('assets/main/admin/plugins/morris/morris.css')}}">

        <!-- Basic Css files -->
        <link href="{{ asset('assets/main/admin/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css">
        <link href="{{ asset('assets/main/admin/css/metismenu.min.css')}}" rel="stylesheet" type="text/css">
        <link href="{{ asset('assets/main/admin/css/icons.css')}}" rel="stylesheet" type="text/css">
        <link href="{{ asset('assets/main/admin/css/style.css')}}" rel="stylesheet" type="text/css">

    @yield('styles')
</head>
<body class="fixed-left">
  <!-- Loader -->
<div id="preloader"><div id="status"><div class="spinner"></div></div></div>

<!-- Begin page -->
<div id="wrapper">
@if(Auth::User()->hasRole('Super Admin'))
@include('includes.adminHeader')
@endif

@yield('content')



<div class="modal fade" id="changepass" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Change Password</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form method="post" action="{{ route('admin.changepass')}}">
      <div class="modal-body">

          <div class="row">
            <div class="col-md-12">
              <label>New Password</label>
              <input type="text" name="name" required class="form-control"/>
            </div>
          </div>


      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary">Save changes</button>
      </div>
      {{ csrf_field()}}
      </form>
    </div>
  </div>
</div>
</div>
<!-- END wrapper -->


        <!-- jQuery  -->
        <script src="{{ asset('assets/main/admin/js/jquery.min.js')}}"></script>
        <script src="{{ asset('assets/main/admin/js/bootstrap.bundle.min.js')}}"></script>
        <script src="{{ asset('assets/main/admin/js/modernizr.min.js')}}"></script>
        <script src="{{ asset('assets/main/admin/js/metisMenu.min.js')}}"></script>
        <script src="{{ asset('assets/main/admin/js/jquery.slimscroll.js')}}"></script>
        <script src="{{ asset('assets/main/admin/js/waves.js')}}"></script>

        <script src="{{ asset('assets/main/admin/plugins/peity-chart/jquery.peity.min.js')}}"></script>

        <!--Morris Chart-->
        <script src="{{ asset('assets/main/admin/plugins/morris/morris.min.js')}}"></script>
        <script src="{{ asset('assets/main/admin/plugins/raphael/raphael-min.js')}}"></script>

        <!-- <script src="{{ asset('assets/admin/pages/dashboard.js')}}"></script> -->
	<!--Wysiwig js-->
        <script src="{{ asset('assets/main/admin/js/tinymce.min.js')}}" ></script>



        <!-- App js -->
        <script src="{{ asset('assets/main/admin/js/app.js')}}"></script>
@yield('scripts')

<script src="{{ asset('notify/bootstrap-notify.js') }}"></script>
<script src="{{ asset('notify/bootstrap-notify.min.js') }}"></script>
<script>
            @if(Session::has('success'))
            $.notify({
              title: '<strong>Success!</strong>',
              message: '{!! Session::get('success') !!}'
            },{
              type: 'success'
            });

            @elseif(Session::has('error'))
            $.notify({
              title: '<strong>Error!</strong>',
              message: '{!! Session::get('error') !!}'
            },{
              type: 'error'
            });

            @elseif(Session::has('warning'))
            $.notify({
              title: '<strong>Warning!</strong>',
              message: '{!! Session::get('warning') !!}'
            },{
              type: 'warning'
            });

            @endif
    </script>

	<script>
            $(document).ready(function () {
                if($("#elm1").length > 0){
                    tinymce.init({
                        selector: "textarea#elm1",
                        theme: "modern",
                        height:300,
                        plugins: [
                            "advlist autolink link image lists charmap print preview hr anchor pagebreak spellchecker",
                            "searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking",
                            "save table contextmenu directionality emoticons template paste textcolor"
                        ],
                        toolbar: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | l      ink image | print preview media fullpage | forecolor backcolor emoticons",
                        style_formats: [
                            {title: 'Bold text', inline: 'b'},
                            {title: 'Red text', inline: 'span', styles: {color: '#ff0000'}},
                            {title: 'Red header', block: 'h1', styles: {color: '#ff0000'}},
                            {title: 'Example 1', inline: 'span', classes: 'example1'},
                            {title: 'Example 2', inline: 'span', classes: 'example2'},
                            {title: 'Table styles'},
                            {title: 'Table row 1', selector: 'tr', classes: 'tablerow1'}
                        ]
                    });
                }
            });
        </script>
</body>

</html>
