<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });
Route::get('/', 'HomeController@loginCheck')->middleware('auth')->name('main');

Auth::routes();
// to verify the role of the users
Route::get('/home', 'HomeController@loginCheck')->name('home');
Route::get('/user/logout', 'HomeController@userLogout')->name('user.logout');
// admin controllers
Route::middleware('auth')->prefix('admin')->group(function() {
          Route::get('/dashboard', 'Admin\AdminController@dashboard')->name('admin.dashboard');

          Route::post('/changepass', 'Admin\AdminController@changepass')->name('admin.changepass');

          Route::get('/districts', 'Admin\AdminController@districts')->name('admin.districts');
          Route::post('/adddistricts', 'Admin\AdminController@adddistricts')->name('admin.adddistricts');
          Route::post('/editdistricts', 'Admin\AdminController@editdistricts')->name('admin.editdistricts');

          Route::get('/tehsils', 'Admin\AdminController@tehsils')->name('admin.tehsils');
          Route::post('/addtehsils', 'Admin\AdminController@addtehsils')->name('admin.addtehsils');
          Route::post('/edittehsils', 'Admin\AdminController@edittehsils')->name('admin.edittehsils');
          Route::get('/deletetehsil/{id}', 'Admin\AdminController@deletetehsil')->name('admin.deletetehsil');

          Route::get('/areas', 'Admin\AdminController@areas')->name('admin.areas');
          Route::post('/addareas', 'Admin\AdminController@addareas')->name('admin.addareas');


          Route::get('/voters', 'Admin\AdminController@voters')->name('admin.voters');
          Route::post('/addvoters', 'Admin\AdminController@addvoters')->name('admin.addvoters');

          Route::get('/showvoter/{cnic}', 'Admin\AdminController@showvoter')->name('admin.showvoter');

          Route::get('/search', 'Admin\AdminController@search')->name('admin.search');
            Route::get('/searchvoter', 'Admin\AdminController@searchvoter')->name('admin.searchvoter');

});
